#ifndef OLC_PGE_COMMON
#define OLC_PGE_COMMON

#ifdef _WIN32
	// Link to libraries
#ifndef __MINGW32__
	#pragma comment(lib, "user32.lib")
	#pragma comment(lib, "gdi32.lib")
	#pragma comment(lib, "gdiplus.lib")
#else
	// In Code::Blocks, Select C++14 in your build options, and add the
	// following libs to your linker: user32 gdi32 opengl32 gdiplus
	#if !defined _WIN32_WINNT
        #ifdef HAVE_MSMF
            #define _WIN32_WINNT 0x0600 // Windows Vista
        #else
            #define _WIN32_WINNT 0x0500 // Windows 2000
        #endif
    #endif
#endif
	// Include WinAPI
	#include <windows.h>
    #include <gdiplus.h>
#else
#endif

#include <string>

namespace olc {
    enum rcode {
        FAIL = 0,
        OK = 1,
        NO_FILE = -1,
    };
    std::wstring ConvertS2W(std::string s);
}

#endif